Page MenuHomePhabricator

[Regression 5.0.0.465] Search suggestion does not work for some search criteria
Closed, ResolvedPublic

Description

Repro steps

  1. Type in Search box - srars
  2. 'No matches found for search criteria' is displayed along with 'Did you mean srair?'
  3. When clicked on the link 'Did you mean srair?' - 'No matches found for search criteria' is displayed again.

Expected results

If alternative spelling(or a search criteria) is suggested in the Search suggestion, clicking on 'Did you mean [alternative search criteria]?' should take a user to the search result list for the suggested criteria.

Actual results

Displaying 'No matches found for search criteria' after a user clicked on 'Did you mean [alternative search criteria]?' is confusing and misleading.

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 3 2015, 8:44 PM
JMinor triaged this task as Medium priority.Nov 14 2015, 12:40 AM
JMinor added a project: iOS-app-v5-beta.
JMinor set Security to None.
JMinor added a subscriber: JMinor.

Need to hide 0 results notification if "Did you mean..." is visible.

It should not show the top sliding notification. we show the zero result error in the tableview area.

Fjalapeno moved this task from Needs Estimation to Doing on the Wikipedia-iOS-App-Development board.
Fjalapeno moved this task from Doing to Needs QA on the Wikipedia-iOS-App-Development board.

Appears to be fixed in latest build. @Etonkovidova can you confirm?

Etonkovidova added a comment.EditedFeb 10 2016, 6:10 PM

Both 'srars' and 'srair' show proper suggestion in Search result list - checked with 5.0.0 (684) on iPad mini iOS 8.2 and iPhone 6 iOS 9.0.

Overall, searching experience is much improved

  • when typing search criteria, Search suggestions are delayed for a reasonable amount of time to let a user finish typing
  • search suggestions are more relevant to the typed criteria
  • suggestions are displayed even with 'Did you mean ?' which gives even more flexibility to a user to adjust/select/refine search criteria
Etonkovidova updated the task description. (Show Details)Feb 10 2016, 6:11 PM
JMinor closed this task as Resolved.Feb 10 2016, 6:25 PM

Agreed, even though these were small improvements it is a much smoother flow overall now.